org.apache.axiom.om.impl.builder

## Class XOPAwareStAXOMBuilder

- java.lang.Object
- - org.apache.axiom.om.impl.builder.StAXBuilder
  - - org.apache.axiom.om.impl.builder.StAXOMBuilder
    - - org.apache.axiom.om.impl.builder.XOPAwareStAXOMBuilder

- All Implemented Interfaces:
    CustomBuilderSupport, XOPBuilder, OMAttachmentAccessor, OMXMLParserWrapper

      public class XOPAwareStAXOMBuilder
      extends StAXOMBuilder
      implements XOPBuilder

- - ### Field Summary

    - ### Fields inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `_isClosed, cache, charEncoding, customBuilderForPayload, customBuilders, dataHandlerReader, document, done, elementLevel, maxDepthForCustomBuilders, omfactory, parser, parserAccessed, parserException, target`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XOPAwareStAXOMBuilder(InputStream inStream, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `XOPAwareStAXOMBuilder(OMFactory ombuilderFactory, javax.xml.stream.XMLStreamReader parser, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `XOPAwareStAXOMBuilder(OMFactory omFactory, javax.xml.stream.XMLStreamReader reader, MimePartProvider mimePartProvider, Detachable detachable, Closeable closeable)` For internal use only.
    `XOPAwareStAXOMBuilder(OMFactory factory, javax.xml.stream.XMLStreamReader parser, OMElement element, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `XOPAwareStAXOMBuilder(String filePath, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.
    `XOPAwareStAXOMBuilder(javax.xml.stream.XMLStreamReader parser, Attachments attachments)` Deprecated. Please use the `OMXMLBuilderFactory` API.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attachments` | `getAttachments()`
    `javax.activation.DataHandler` | `getDataHandler(String blobContentID)`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXOMBuilder

      `constructNode, createComment, createDocument, createDTD, createEntityReference, createNextOMElement, createOMElement, createPI, createPrefix, createWithCustomBuilder, getDocumentElement, getDocumentElement, isLookahead, isNamespaceURIInterning, logParserState, lookahead, next, processNamespaceData, setDoDebug, setNamespaceURIInterning`

    - ### Methods inherited from class org.apache.axiom.om.impl.builder.StAXBuilder

      `close, createDocumentIfNecessary, createOMText, debugDiscarded, detach, disableCaching, discard, discard, getAttributeCount, getAttributeName, getAttributeNamespace, getAttributePrefix, getBuilderType, getCharacterEncoding, getCharsetEncoding, getCustomBuilder, getDocument, getName, getNamespace, getNamespaceCount, getNamespacePrefix, getNamespaceUri, getParser, getPrefix, getReaderProperty, getRegisteredContentHandler, getText, init, isCache, isClosed, isCompleted, processAttributes, reenableCaching, registerCustomBuilder, registerCustomBuilderForPayload, registerExternalContentHandler, releaseParserOnClose, setAutoClose, setCache, setOMBuilderFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(OMFactory ombuilderFactory,
                                       javax.xml.stream.XMLStreamReader parser,
                                       Attachments attachments)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(OMFactory factory,
                                       javax.xml.stream.XMLStreamReader parser,
                                       OMElement element,
                                       Attachments attachments)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(String filePath,
                                       Attachments attachments)
                                throws javax.xml.stream.XMLStreamException,
                                       FileNotFoundException

      Deprecated. Please use the `OMXMLBuilderFactory` API.
      Throws:
        `javax.xml.stream.XMLStreamException`
        `FileNotFoundException`

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(InputStream inStream,
                                       Attachments attachments)
                                throws javax.xml.stream.XMLStreamException

      Deprecated. Please use the `OMXMLBuilderFactory` API.
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(javax.xml.stream.XMLStreamReader parser,
                                       Attachments attachments)

      Deprecated. Please use the `OMXMLBuilderFactory` API.

    - #### XOPAwareStAXOMBuilder

          public XOPAwareStAXOMBuilder(OMFactory omFactory,
                                       javax.xml.stream.XMLStreamReader reader,
                                       MimePartProvider mimePartProvider,
                                       Detachable detachable,
                                       Closeable closeable)

      For internal use only.

  - ### Method Detail

    - #### getDataHandler

          public javax.activation.DataHandler getDataHandler(String blobContentID)
                                                      throws OMException

      Specified by:
        `getDataHandler` in interface `OMAttachmentAccessor`
      Parameters:
        `blobContentID` - (without the surrounding angle brackets and "cid:" prefix)
      Returns:
        The DataHandler of the mime part referred by the Content-Id or *null* if the mime part referred by the content-id does not exist
      Throws:
        `OMException`

    - #### getAttachments

          public Attachments getAttachments()

      Specified by:
        `getAttachments` in interface `XOPBuilder`

Copyright © The Apache Software Foundation. All Rights Reserved.